
/* $Header: util.h,v 1.1 89/07/05 15:36:59 hubbard Exp $ */

/*
 *
 *                     Copyright 1988, 1989
 *                  PCS Computer Systeme, GmbH
 *                     Munich, West Germany
 *
 *  All rights reserved.
 * 
 *  This is unsupported software and is subject to change without notice.
 *  PCS makes no representations about the suitability of this software
 *  for any purpose. It is supplied "as is" without express or implied
 *  warranty.
 * 
 *  Permission to use, copy, modify, and distribute this software and its
 *  documentation for any purpose and without fee is hereby granted, provided
 *  that the above copyright notice appear in all copies and that both that
 *  copyright notice and this permission notice appear in supporting
 *  documentation, and that the name of PCS Computer Systeme not be used in
 *  advertising or publicity pertaining to distribution of the software
 *  without specific, written prior permission.
 *
 */

/*
 * Author:	Jordan K. Hubbard
 * For:		PCS Computer Systems
 * When:	April 18th, 1989.
 *
 * $Log:	util.h,v $
 * Revision 1.1  89/07/05  15:36:59  hubbard
 * Initial revision
 * 
 * 
 */

#ifndef UTIL_H_INCLUDE
#define UTIL_H_INCLUDE

/* address of the debugger state struct offset by member "s" */
#define SO(s) ((caddr_t)&dbg_state.s)

/* Target types */
#define T_LINE		10
#define T_ADDRESS	11

#define ASSERT(cond) \
     if ((cond)) puke_and_die("ASSERT: %s at line %s, file %s, proc %p", \
			      "cond", __LINE__, __FILE__)
/*
 * Public routines in util.c
 */

int puke();
void puke_and_die();
FILE *find_and_open();

#endif /* UTIL_H_INCLUDE */
